Loading...
Searching...
No Matches
etl::multi_range< T >::forward_step_by Struct Reference

## Public Types

typedef T | value_type
Public Types inherited from etl::multi_range< T >::step_type
typedef T | value_type

## Public Member Functions

| forward_step_by (const value_type &step_value_)
virtual void | operator() (value_type &value)

## Public Attributes

const value_type | step_value

## Member Function Documentation

## operator()()

template<typename T>

virtual void etl::multi_range< T >::forward_step_by::operator() | ( | value_type & | value | ) |

inline virtual

Implements etl::multi_range< T >::step_type.

The documentation for this struct was generated from the following file:

- include/etl/multi_range.h